#ifndef __UDS_27SERVICE_FILTER_H
#define __UDS_27SERVICE_FILTER_H

#include "TYW_stdint.h"
#include "UDS_Common.h"
#include "UDS_ISO14229_Server.h"

uint8_t UDS_27Service_NRC11(void);
uint8_t UDS_27Service_NRC7F(void);
uint8_t UDS_27Service_NRC33(void);
uint8_t UDS_27Service_NRC13_MinLengthCheck(void);
uint8_t UDS_27Service_NRC31(void);
uint8_t UDS_27Service_NRC13_TotalLengthCheck(void);
uint8_t UDS_27Service_NRC22(void);
uint8_t UDS_27Service_Sub_NRC13_MinLengthCheck(void);
uint8_t UDS_27Service_Sub_NRC12(void);
uint8_t UDS_27Service_Sub_NRC7E(void);
uint8_t UDS_27Service_Sub_NRC31(void);
uint8_t UDS_27Service_Sub_NRC13_TotalLengthCheck(void);
uint8_t UDS_27Service_Sub_NRC24(void);
uint8_t UDS_27Service_Sub_NRC22(void);
uint8_t UDS_27Service_Sub_NRC37(void);
uint8_t UDS_27Service_Sub_NRC36(void);
uint8_t UDS_27Service_Sub_NRC35(void);

#endif 